be.fgov.ehealth.aa.complextype.v1

## Class OrganizationDescriberTypeV2

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.OrganizationDescriberTypeV2

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SupportedOrganizationV2

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:13:31+01:00",
                 comments="JAXB RI v2.2.11")
      public class OrganizationDescriberTypeV2
      extends Object
      implements Serializable

  Metadata on supported organization v2.

  Java class for OrganizationDescriberTypeV2 complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OrganizationDescriberTypeV2">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationTypeCode" maxOccurs="unbounded"/>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationTypeFriendlyName" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded"/>
               <element name="CheckDigit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Regex" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="AllowedBaseServices" type="{urn:be:fgov:ehealth:aa:complextype:v1}BaseServiceListType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizationDescriberTypeV2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseServiceListType` | `getAllowedBaseServices()` Gets the value of the allowedBaseServices property.
    `List<Attribute>` | `getAttributes()` Gets the value of the attributes property.
    `String` | `getCheckDigit()` Gets the value of the checkDigit property.
    `List<TypeCodeType>` | `getOrganizationTypeCodes()` Gets the value of the organizationTypeCodes property.
    `List<NameType>` | `getOrganizationTypeFriendlyNames()` Gets the value of the organizationTypeFriendlyNames property.
    `String` | `getRegex()` Gets the value of the regex property.
    `void` | `setAllowedBaseServices(BaseServiceListType value)` Sets the value of the allowedBaseServices property.
    `void` | `setCheckDigit(String value)` Sets the value of the checkDigit property.
    `void` | `setRegex(String value)` Sets the value of the regex property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrganizationDescriberTypeV2

          public OrganizationDescriberTypeV2()

  - ### Method Detail

    - #### getOrganizationTypeCodes

          public List<TypeCodeType> getOrganizationTypeCodes()

      Gets the value of the organizationTypeCodes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypeCodes property.

      For example, to add a new item, do as follows:

              getOrganizationTypeCodes().add(newItem);

      Objects of the following type(s) are allowed in the list `TypeCodeType`

    - #### getOrganizationTypeFriendlyNames

          public List<NameType> getOrganizationTypeFriendlyNames()

      Gets the value of the organizationTypeFriendlyNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypeFriendlyNames property.

      For example, to add a new item, do as follows:

              getOrganizationTypeFriendlyNames().add(newItem);

      Objects of the following type(s) are allowed in the list `NameType`

    - #### getAttributes

          public List<Attribute> getAttributes()

      Gets the value of the attributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

      For example, to add a new item, do as follows:

              getAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `Attribute`

    - #### getCheckDigit

          public String getCheckDigit()

      Gets the value of the checkDigit property.
      Returns:
        possible object is `String`

    - #### setCheckDigit

          public void setCheckDigit(String value)

      Sets the value of the checkDigit property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRegex

          public String getRegex()

      Gets the value of the regex property.
      Returns:
        possible object is `String`

    - #### setRegex

          public void setRegex(String value)

      Sets the value of the regex property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAllowedBaseServices

          public BaseServiceListType getAllowedBaseServices()

      Gets the value of the allowedBaseServices property.
      Returns:
        possible object is `BaseServiceListType`

    - #### setAllowedBaseServices

          public void setAllowedBaseServices(BaseServiceListType value)

      Sets the value of the allowedBaseServices property.
      Parameters:
        `value` - allowed object is `BaseServiceListType`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.